Skip to main content
POST
/
api
/
v1
/
accounts
/
{accountId}
/
projects
/
{projectId}
/
gpu-clusters
Create GPU cluster
curl --request POST \
  --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters \
  --header 'Content-Type: application/json' \
  --data '
{
  "cluster_name": "<string>",
  "flavor_id": "<string>",
  "image_id": "<string>",
  "ssh_key_id": "<string>",
  "gpu_count": 123,
  "pricing_template_id": "<string>",
  "user_data": "<string>",
  "security_group_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters"

payload = {
"cluster_name": "<string>",
"flavor_id": "<string>",
"image_id": "<string>",
"ssh_key_id": "<string>",
"gpu_count": 123,
"pricing_template_id": "<string>",
"user_data": "<string>",
"security_group_ids": ["<string>"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
cluster_name: '<string>',
flavor_id: '<string>',
image_id: '<string>',
ssh_key_id: '<string>',
gpu_count: 123,
pricing_template_id: '<string>',
user_data: '<string>',
security_group_ids: ['<string>']
})
};

fetch('https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cluster": {
    "id": "<string>",
    "name": "<string>",
    "status": "<string>",
    "account_id": "<string>",
    "project_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "metadata": "<string>",
    "resources": [
      {
        "external_id": "<string>",
        "name": "<string>",
        "resource_type": "<string>",
        "status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "primary_ip": "<string>"
      }
    ]
  },
  "message": "<string>",
  "request_id": "<string>"
}

Headers

x-account-id
string
x-user-id
string
X-Request-ID
string
x-kong-request-id
string

Path Parameters

accountId
string
required
projectId
string
required

Body

application/json
cluster_name
string
required
flavor_id
string
required
image_id
string
required
ssh_key_id
string
required
gpu_count
integer
required
pricing_template_id
string
user_data
string
security_group_ids
string[]

Response

Created

cluster
object
required
message
string
required
request_id
string